Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0036042
TypeCategorySeverityReproducibilityDate SubmittedLast Update
backport[Retail Modules] Discounts and Promotionsmajoralways2017-05-16 11:192017-05-22 18:22
ReporterlorenzofidalgoView Statuspublic 
Assigned Toranjith_qualiantech_com 
PriorityimmediateResolutionfixedFixed in VersionRR17Q1.2
StatusclosedFix in branchFixed in SCM revision99fcbd5d0be8
ProjectionnoneETAnoneTarget VersionRR17Q1.2
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionmainSCM revision 
Review Assigned Tomarvintm
Regression levelProduction - Confirmed Stable
Regression date2016-08-24
Regression introduced in releaseRR16Q4.3
Regression introduced by commithttps://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/94dca5a2d2faa9390d578f061ce048616aa03514 [^]
Triggers an Emergency PackNo
Summary

0036042: [RR17Q2] POS breaks when several discounts are applied to same product

DescriptionWhen two discounts are applied to same product, adding several lines of same discounted product induces errors in POS.
I have reproduced this issue in RR17Q2, RR17Q1.1 and RR16Q4.3. I have not been able to reproduce this issue in RR16Q3.5 or RR16Q2.4.
This issue has been reproduced following these test cases:
https://testlink.openbravo.com/testlink/linkto.php?tprojectPrefix=Communit&item=testcase&id=Communit-9442 [^]
https://testlink.openbravo.com/testlink/linkto.php?tprojectPrefix=Communit&item=testcase&id=Communit-9443 [^]
Steps To ReproduceLog in ERP as Group -Admin-The White Valley Group
Go to Discounts and Promotions window
Create new record
Header tab
Discount type: Buy X pay Y of same product
Name: Discount 3x2 of same product (Re-Factor)
Starting date: 01-01-2012
Priority: 10
Apply Next Discount/Promotion: Unchecked
Included Products: Only those defined
X: 3
Y: 2
Products tab
Product: Bottle 1 L

Product configuration:
Log in ERP as Group -Admin-The White Valley Group
Go to product window
Then select product “Bottle 1L”
Then change the field “Grouped” to
· Grouped: Unchecked

Then click Ctrl + s to save the changes
----

In Discounts and Promotions window

Create new record

Header tab

Discount type: Buy X pay Y of Different product
Name: Discount 3x2 (Re-Factor II)
Starting date: 01-01-2012
Priority: 20
Apply Next Discount/Promotion: Unchecked
Included Products: Only those defined
X: 3
Y: 2
Products tab

Product: Bottle 1 L
Product: Plastic Bottle
Product configuration:

Log in ERP as Group -Admin-The White Valley Group

Go to product window

Then select product “Plastic Bottle”

Then change the field “Grouped” to

· Grouped: Unchecked

Then click Ctrl + s to save the changes
----

Now, go to POS, login, search Bottle 1L product and click 6 times to add 6 Bottle 1L to the receipt. Check Chrome Console errors (log is attached).
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks defect 0036003 closedranjith_qualiantech_com [RR17Q2] POS breaks when several discounts are applied to same product 

-  Notes
(0096667)
hgbot (developer)
2017-05-19 08:38

Repository: retail/backports/3.0RR17Q1.2/org.openbravo.retail.posterminal
Changeset: 99fcbd5d0be874f9a07d411b6ba2dea5a92ce170
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Fri May 19 12:07:32 2017 +0530
URL: http://code.openbravo.com/retail/backports/3.0RR17Q1.2/org.openbravo.retail.posterminal/rev/99fcbd5d0be874f9a07d411b6ba2dea5a92ce170 [^]

Fixed issue 36042 : Validated promotions while calculating receipt taxes

* In some cases, Promotions Amount will be zero. So it needs to be validated to calculate receipt

---
M web/org.openbravo.retail.posterminal/js/model/order.js
---
(0096668)
hgbot (developer)
2017-05-19 08:38

Repository: retail/backports/3.0RR17Q1.2/pi-mobile
Changeset: 020d04378fdeade5a6f2fc1047771d72dbd5c3a7
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Fri May 19 12:07:27 2017 +0530
URL: http://code.openbravo.com/retail/backports/3.0RR17Q1.2/pi-mobile/rev/020d04378fdeade5a6f2fc1047771d72dbd5c3a7 [^]

Verifies issue 36042 : Added automated test 'I36042_VerifyDiscountWithNonGroupedProduct'

---
A src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/discountsandpromotions/I36042_VerifyDiscountWithNonGroupedProduct.java
---

- Issue History
Date Modified Username Field Change
2017-05-18 15:50 marvintm Type defect => backport
2017-05-18 15:50 marvintm Target Version => RR17Q1.2
2017-05-19 08:38 hgbot Checkin
2017-05-19 08:38 hgbot Note Added: 0096667
2017-05-19 08:38 hgbot Status scheduled => resolved
2017-05-19 08:38 hgbot Resolution open => fixed
2017-05-19 08:38 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/5fbd0b50f1ad90e371e34413b47ee88a1bdaa256 [^] => http://code.openbravo.com/retail/backports/3.0RR17Q1.2/org.openbravo.retail.posterminal/rev/99fcbd5d0be874f9a07d411b6ba2dea5a92ce170 [^]
2017-05-19 08:38 hgbot Checkin
2017-05-19 08:38 hgbot Note Added: 0096668
2017-05-22 18:22 marvintm Review Assigned To => marvintm
2017-05-22 18:22 marvintm Status resolved => closed
2017-05-22 18:22 marvintm Fixed in Version => RR17Q1.2


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker